#ifndef ARCLIB_NGCONFIG
#define ARCLIB_NGCONFIG

#include <string>

#include <arc/configcore.h>
#include <arc/configio.h>

/** Configuration class used for reading configuration files ARC-style. */
class NGConfig : public ConfigIO {
	public:
		/** Read old nordugrid.conf style configuration. */
		Config Read(std::istream& is);

		/** Write configuration to named file. */
		void Write(Config config, std::ostream& os);
};

#endif // ARCLIB_NGCONFIG
